import request from '@/utils/request'

// 查询辅助决策列表
export function listRECORD(query) {
  return request({
    url: '/report/RECORD/list',
    method: 'get',
    params: query
  })
}

// 查询辅助决策所有列表
export function listAllRECORD(query) {
  return request({
    url: '/report/RECORD/listAll',
    method: 'get',
    params: query
  })
}

// 查询辅助决策详细
export function getRECORD(id) {
  return request({
    url: '/report/RECORD/getInfo/' + id,
    method: 'get'
  })
}

// 新增辅助决策
export function addRECORD(data) {
  return request({
    url: '/report/RECORD/add',
    method: 'post',
    data: data
  })
}

// 修改辅助决策
export function updateRECORD(data) {
  return request({
    url: '/report/RECORD/edit',
    method: 'post',
    data: data
  })
}

// 删除辅助决策
export function delRECORD(id) {
  return request({
    url: '/report/RECORD/remove/' + id,
    method: 'get'
  })
}
