import request from '@/utils/request'

// 查询模板报告列表
export function listWORD(query) {
  return request({
    url: '/report/WORD/list',
    method: 'get',
    params: query
  })
}

// 查询模板报告所有列表
export function listAllWORD(query) {
  return request({
    url: '/report/WORD/listAll',
    method: 'get',
    params: query
  })
}

// 查询模板报告详细
export function getWORD(id) {
  return request({
    url: '/report/WORD/getInfo/' + id,
    method: 'get'
  })
}

// 新增模板报告
export function addWORD(data) {
  return request({
    url: '/report/WORD/add',
    method: 'post',
    data: data
  })
}

// 修改模板报告
export function updateWORD(data) {
  return request({
    url: '/report/WORD/edit',
    method: 'post',
    data: data
  })
}

// 删除模板报告
export function delWORD(id) {
  return request({
    url: '/report/WORD/remove/' + id,
    method: 'get'
  })
}
