import request from '@/utils/request'

// 查询特定地区进出口总值（人民币）列表
export function listOUTINTOTAL(query) {
    return request({
        url: '/business/OUTINTOTAL/list',
        method: 'get',
        params: query
    })
}

// 查询特定地区进出口总值（人民币）所有列表
export function listAllOUTINTOTAL(query) {
    return request({
        url: '/business/OUTINTOTAL/listAll',
        method: 'get',
        params: query
    })
}

// 查询特定地区进出口总值（人民币）详细
export function getOUTINTOTAL(id) {
    return request({
        url: '/business/OUTINTOTAL/getInfo/' + id,
        method: 'get'
    })
}

// 新增特定地区进出口总值（人民币）
export function addOUTINTOTAL(data) {
    return request({
        url: '/business/OUTINTOTAL/add',
        method: 'post',
        data: data
    })
}

// 修改特定地区进出口总值（人民币）
export function updateOUTINTOTAL(data) {
    return request({
        url: '/business/OUTINTOTAL/edit',
        method: 'post',
        data: data
    })
}

// 删除特定地区进出口总值（人民币）
export function delOUTINTOTAL(id) {
    return request({
        url: '/business/OUTINTOTAL/remove/' + id,
        method: 'get'
    })
}
