import request from '@/utils/request'

// 查询报告设置列表
export function listSETTING(query) {
  return request({
    url: '/report/SETTING/list',
    method: 'get',
    params: query
  })
}

// 查询报告设置所有列表
export function listAllSETTING(query) {
  return request({
    url: '/report/SETTING/listAll',
    method: 'get',
    params: query
  })
}

// 查询报告设置详细
export function getSETTING(id) {
  return request({
    url: '/report/SETTING/getInfo/' + id,
    method: 'get'
  })
}

// 新增报告设置
export function addSETTING(data) {
  return request({
    url: '/report/SETTING/add',
    method: 'post',
    data: data
  })
}

// 修改报告设置
export function updateSETTING(data) {
  return request({
    url: '/report/SETTING/edit',
    method: 'post',
    data: data
  })
}

// 删除报告设置
export function delSETTING(id) {
  return request({
    url: '/report/SETTING/remove/' + id,
    method: 'get'
  })
}
