import request from '@/utils/request'

// 查询模板管理列表
export function listTEMPLATE(query) {
  return request({
    url: '/report/TEMPLATE/list',
    method: 'get',
    params: query
  })
}

// 查询模板管理所有列表
export function listAllTEMPLATE(query) {
  return request({
    url: '/report/TEMPLATE/listAll',
    method: 'get',
    params: query
  })
}

// 查询模板管理详细
export function getTEMPLATE(id) {
  return request({
    url: '/report/TEMPLATE/getInfo/' + id,
    method: 'get'
  })
}

// 新增模板管理
export function addTEMPLATE(data) {
  return request({
    url: '/report/TEMPLATE/add',
    method: 'post',
    data: data
  })
}

// 修改模板管理
export function updateTEMPLATE(data) {
  return request({
    url: '/report/TEMPLATE/edit',
    method: 'post',
    data: data
  })
}

// 删除模板管理
export function delTEMPLATE(id) {
  return request({
    url: '/report/TEMPLATE/remove/' + id,
    method: 'get'
  })
}

export function changeTemplateStatus(id, status) {
  return request({
    url: '/report/TEMPLATE/changeTemplateStatus',
    method: 'post',
    data: { id, status}
  })
}

export function queryStatusNum() {
  return request({
    url: '/report/TEMPLATE/queryStatusNum',
    method: 'get'
  })
}
